JavaScript/jQuery Gallery Methods

This section describes members used to manipulate the UI component.

See Also

beginUpdate()

Postpones rendering that can negatively affect performance until the endUpdate() method is called.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

defaultOptions(rule)

Specifies the device-dependent default configuration properties for this component.

Parameters:
rule:

Object

The component's default device properties.

Object structure:
Name Type Description
device

Device

|

Function

Device parameters.
When you specify a function, get information about the current device from the argument. Return true if the properties should be applied to the device.

options

Object

Options to be applied.

defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Gallery UI component in an application executed on the desktop.

JavaScript
  • DevExpress.ui.dxGallery.defaultOptions({
  • device: { deviceType: "desktop" },
  • options: {
  • // Here go the Gallery properties
  • }
  • });

You can also set rules for multiple device types:

JavaScript
  • const devicesConfig = [
  • { deviceType: 'desktop' },
  • { deviceType: 'tablet' },
  • { deviceType: 'phone' },
  • ];
  •  
  • devicesConfig.forEach(deviceConfig => {
  • DevExpress.ui.dxGallery.defaultOptions({
  • device: deviceConfig,
  • options: {
  • // Here go the Gallery properties
  • }
  • });
  • });

dispose()

Disposes of all the resources allocated to the Gallery instance.

After calling this method, remove the DOM element associated with the UI component:

JavaScript
  • $("#myGallery").dxGallery("dispose");
  • $("#myGallery").remove();

element()

Gets the root UI component element.

Return Value:

HTMLElement | jQuery

An HTML element or a jQuery element when you use jQuery.

See Also

endUpdate()

Refreshes the UI component after a call of the beginUpdate() method.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

focus()

Sets focus on the UI component.

See Also

getDataSource()

Gets the DataSource instance.

Return Value:

DataSource

The DataSource instance.

NOTE
This method returns the DataSource instance even if the UI component's dataSource property was given a simple array.

View on GitHub

See Also

getInstance(element)

Gets the instance of a UI component found using its DOM node.

Parameters:
element:

Element

|

jQuery

The UI component's container.

Return Value:

Object

The UI component's instance.

getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Gallery instance found in an element with the myGallery ID:

  • // Modular approach
  • import Gallery from "devextreme/ui/gallery";
  • ...
  • let element = document.getElementById("myGallery");
  • let instance = Gallery.getInstance(element) as Gallery;
  •  
  • // Non-modular approach
  • let element = document.getElementById("myGallery");
  • let instance = DevExpress.ui.dxGallery.getInstance(element);
See Also

goToItem(itemIndex, animation)

Shows a specific image.

Parameters:
itemIndex:

Number

The index of the image in the dataSource.

animation:

Boolean

Specifies whether switching to the image should be animated.

Return Value:

Promise<void> (jQuery or native)

A Promise that is resolved after the image is shown. It is a native Promise or a jQuery.Promise when you use jQuery.

See Also

instance()

Gets the UI component's instance. Use it to access other methods of the UI component.

Return Value:

Gallery

This UI component's instance.

See Also

nextItem(animation)

Shows the next image.

Parameters:
animation:

Boolean

Specifies whether switching to the image should be animated.

Return Value:

Promise<void> (jQuery or native)

A Promise that is resolved after the image is shown. It is a native Promise or a jQuery.Promise when you use jQuery.

If the current item is the last item in the gallery, the method behavior depends on the loop property value. If loop is set to true, the first item is shown. Otherwise, the method does nothing.

See Also

off(eventName)

Detaches all event handlers from a single event.

Parameters:
eventName:

String

The event's name.

Return Value:

Gallery

The object for which this method is called.

See Also

off(eventName, eventHandler)

Detaches a particular event handler from a single event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

Gallery

The object for which this method is called.

See Also

on(eventName, eventHandler)

Subscribes to an event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

Gallery

The object for which this method is called.

Use this method to subscribe to one of the events listed in the Events section.

See Also

on(events)

Subscribes to events.

Parameters:
events:

Object

Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}

Return Value:

Gallery

The object for which this method is called.

Use this method to subscribe to several events with one method call. Available events are listed in the Events section.

See Also

option()

Return Value:

Object

The UI component's properties.

option(optionName)

Gets the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

Return Value: any

This property's value.

option(optionName, optionValue)

Updates the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

optionValue: any

This property's new value.

option(options)

Updates the values of several properties.

Parameters:
options:

Object

Options with their new values.

prevItem(animation)

Shows the previous image.

Parameters:
animation:

Boolean

Specifies whether switching to the image should be animated.

Return Value:

Promise<void> (jQuery or native)

A Promise that is resolved after the image is shown. It is a native Promise or a jQuery.Promise when you use jQuery.

If the current item is the first item in the gallery, the method behavior depends on the loop property value. If loop is set to true, the last item is shown. Otherwise, the method does nothing.

See Also

registerKeyHandler(key, handler)

Registers a handler to be executed when a user presses a specific key.

Parameters:
key:

String

A key.

handler:

Function

A handler. Accepts the keydown event as the argument. It is a EventObject or a jQuery.Event when you use jQuery.

The key argument accepts one of the following values:

  • "backspace"
  • "tab"
  • "enter"
  • "escape"
  • "pageUp"
  • "pageDown"
  • "end"
  • "home"
  • "leftArrow"
  • "upArrow"
  • "rightArrow"
  • "downArrow"
  • "del"
  • "space"
  • "F"
  • "A"
  • "asterisk"
  • "minus"

A custom handler for a key cancels the default handler for this key.

See Also

repaint()

Renders the component again without reloading data. Use the method to update the component's markup and appearance dynamically.

The repaint() method re-initializes the component with new settings, resetting its state and history.

View on GitHub

See Also

resetOption(optionName)

Resets a property to its default value.

Parameters:
optionName:

String

A property's name.

See Also

Vue Gallery Methods

This section describes members used to manipulate the UI component.

See Also

beginUpdate()

Postpones rendering that can negatively affect performance until the endUpdate() method is called.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

defaultOptions(rule)

Specifies the device-dependent default configuration properties for this component.

Parameters:
rule:

Object

The component's default device properties.

Object structure:
Name Type Description
device

Device

|

Function

Device parameters.
When you specify a function, get information about the current device from the argument. Return true if the properties should be applied to the device.

options

Object

Options to be applied.

defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Gallery UI component in an application executed on the desktop.

  • <template>
  • <div>
  • <DxGallery id="gallery1" />
  • <DxGallery id="gallery2" />
  • </div>
  • </template>
  • <script>
  • import DxGallery from "devextreme-vue/gallery";
  • import Gallery from "devextreme/ui/gallery";
  •  
  • Gallery.defaultOptions({
  • device: { deviceType: "desktop" },
  • options: {
  • // Here go the Gallery properties
  • }
  • });
  •  
  • export default {
  • components: {
  • DxGallery
  • }
  • }
  • </script>

You can also set rules for multiple device types:

  • <template>
  • <div>
  • <DxGallery />
  • </div>
  • </template>
  • <script>
  • import DxGallery from "devextreme-vue/gallery";
  • import Gallery from "devextreme/ui/gallery";
  •  
  • const devicesConfig = [
  • { deviceType: 'desktop' },
  • { deviceType: 'tablet' },
  • { deviceType: 'phone' },
  • ];
  •  
  • devicesConfig.forEach(deviceConfig => {
  • Gallery.defaultOptions({
  • device: deviceConfig,
  • options: {
  • // Here go the Gallery properties
  • }
  • });
  • });
  •  
  • export default {
  • components: {
  • DxGallery
  • }
  • }
  • </script>

dispose()

Disposes of all the resources allocated to the Gallery instance.

Use conditional rendering instead of this method:

App.vue
  • <template>
  • <DxGallery ...
  • v-if="condition">
  • </DxGallery>
  • </template>
  •  
  • <script>
  • import DxGallery from 'devextreme-vue/gallery';
  •  
  • export default {
  • components: {
  • DxGallery
  • }
  • }
  • </script>

element()

Gets the root UI component element.

Return Value:

HTMLElement | jQuery

An HTML element or a jQuery element when you use jQuery.

See Also

endUpdate()

Refreshes the UI component after a call of the beginUpdate() method.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

focus()

Sets focus on the UI component.

See Also

getDataSource()

Gets the DataSource instance.

Return Value:

DataSource

The DataSource instance.

NOTE
This method returns the DataSource instance even if the UI component's dataSource property was given a simple array.

View on GitHub

See Also

getInstance(element)

Gets the instance of a UI component found using its DOM node.

Parameters:
element:

Element

|

jQuery

The UI component's container.

Return Value:

Object

The UI component's instance.

getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Gallery instance found in an element with the myGallery ID:

  • // Modular approach
  • import Gallery from "devextreme/ui/gallery";
  • ...
  • let element = document.getElementById("myGallery");
  • let instance = Gallery.getInstance(element) as Gallery;
  •  
  • // Non-modular approach
  • let element = document.getElementById("myGallery");
  • let instance = DevExpress.ui.dxGallery.getInstance(element);
See Also

goToItem(itemIndex, animation)

Shows a specific image.

Parameters:
itemIndex:

Number

The index of the image in the dataSource.

animation:

Boolean

Specifies whether switching to the image should be animated.

Return Value:

Promise<void> (jQuery or native)

A Promise that is resolved after the image is shown. It is a native Promise or a jQuery.Promise when you use jQuery.

See Also

instance()

Gets the UI component's instance. Use it to access other methods of the UI component.

Return Value:

Gallery

This UI component's instance.

See Also

nextItem(animation)

Shows the next image.

Parameters:
animation:

Boolean

Specifies whether switching to the image should be animated.

Return Value:

Promise<void> (jQuery or native)

A Promise that is resolved after the image is shown. It is a native Promise or a jQuery.Promise when you use jQuery.

If the current item is the last item in the gallery, the method behavior depends on the loop property value. If loop is set to true, the first item is shown. Otherwise, the method does nothing.

See Also

off(eventName)

Detaches all event handlers from a single event.

Parameters:
eventName:

String

The event's name.

Return Value:

Gallery

The object for which this method is called.

See Also

off(eventName, eventHandler)

Detaches a particular event handler from a single event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

Gallery

The object for which this method is called.

See Also

on(eventName, eventHandler)

Subscribes to an event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value:

Gallery

The object for which this method is called.

Use this method to subscribe to one of the events listed in the Events section.

See Also

on(events)

Subscribes to events.

Parameters:
events:

Object

Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}

Return Value:

Gallery

The object for which this method is called.

Use this method to subscribe to several events with one method call. Available events are listed in the Events section.

See Also

option()

Return Value:

Object

The UI component's properties.

option(optionName)

Gets the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

Return Value: any

This property's value.

option(optionName, optionValue)

Updates the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

optionValue: any

This property's new value.

option(options)

Updates the values of several properties.

Parameters:
options:

Object

Options with their new values.

prevItem(animation)

Shows the previous image.

Parameters:
animation:

Boolean

Specifies whether switching to the image should be animated.

Return Value:

Promise<void> (jQuery or native)

A Promise that is resolved after the image is shown. It is a native Promise or a jQuery.Promise when you use jQuery.

If the current item is the first item in the gallery, the method behavior depends on the loop property value. If loop is set to true, the last item is shown. Otherwise, the method does nothing.

See Also

registerKeyHandler(key, handler)

Registers a handler to be executed when a user presses a specific key.

Parameters:
key:

String

A key.

handler:

Function

A handler. Accepts the keydown event as the argument. It is a EventObject or a jQuery.Event when you use jQuery.

The key argument accepts one of the following values:

  • "backspace"
  • "tab"
  • "enter"
  • "escape"
  • "pageUp"
  • "pageDown"
  • "end"
  • "home"
  • "leftArrow"
  • "upArrow"
  • "rightArrow"
  • "downArrow"
  • "del"
  • "space"
  • "F"
  • "A"
  • "asterisk"
  • "minus"

A custom handler for a key cancels the default handler for this key.

See Also

repaint()

Renders the component again without reloading data. Use the method to update the component's markup and appearance dynamically.

The repaint() method re-initializes the component with new settings, resetting its state and history.

View on GitHub

See Also

resetOption(optionName)

Resets a property to its default value.

Parameters:
optionName:

String

A property's name.

See Also